%{?nodejs_find_provides_and_requires}

%global packagename array-map
%global enable_tests 1

Name:		nodejs-array-map
Version:	0.0.0
Release:	2%{?dist}
Summary:	`[].map(f)` for older browsers

License:	MIT
URL:		https://github.com/substack/array-map.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

Requires:	nodejs

%description
`[].map(f)` for older browsers


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{_bindir}/tape test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.markdown
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Nov 10 2015 Jared Smith <jsmith@fedoraproject.org> - 0.0.0-2
- Initial packaging
